# How to submit a bug report

If you received an error message, please include it and any exceptions.

We commonly need to know which language you are using (e.g. Java) and what
platform you are on:
 * Operating system (i.e., ```uname -a```)

# How to contribute

We definitely welcome patches and contributions to Census! Here are some
guideline and information about how to do so.

## Before getting started

In order to protect both you and ourselves, you will need to sign the
[Contributor License Agreement](https://cla.developers.google.com/clas).

We follow the [Google Proto Style Guide](
https://developers.google.com/protocol-buffers/docs/style).

## Proposing changes

Make sure that `bazel build :all` completes successfully without any new warnings.
Then create a Pull Request with your changes. When the changes are accepted, they
will be merged or cherry-picked by a Census core developer.
